> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of SEPA XML files

> Returns a list of generated SEPA XML files.

<sup>Required permissions: `sepa-xml:read`</sup>



## OpenAPI

````yaml get /sepa-xml-files
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /sepa-xml-files:
    parameters: []
    get:
      tags:
        - SepaXmlStatement
      summary: Get a list of SEPA XML files
      description: |-
        Returns a list of generated SEPA XML files.

        <sup>Required permissions: `sepa-xml:read`</sup>
      operationId: getSepaXmlFiles
      parameters:
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 1
          style: form
          explode: false
          allowReserved: false
        - name: limit
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 100
          style: form
          explode: false
          allowReserved: false
      responses:
        '200':
          description: SepaXmlStatement collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/SepaXmlStatement-SepaXmlStatementRead
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SepaXmlStatement-SepaXmlStatementRead'
      deprecated: false
      security:
        - JWT:
            - sepa-xml:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /sepa-xml-files \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    SepaXmlStatement-SepaXmlStatementRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: ad8f7a6d-1b0b-4e1a-8e1a-0b1b0b1b0b1b
          type: string
        uploaded:
          readOnly: true
          description: >-
            Indicates if the SEPA XML file was uploaded to the bank already. If
            not, the file can be deleted. If yes, all transactions will be
            marked as waiting, until the grace period of the bank is over.
          type: boolean
        uniqueMessageId:
          description: The unique message ID of the SEPA XML file
          example: COKSDE33XXX-2021-01-01-12-00-00-000000000
          type: string
        generatedAt:
          readOnly: true
          description: The date and time when the SEPA XML file was generated
          type: string
          format: date-time
        mediaId:
          readOnly: true
          description: >-
            The media file containing the SEPA XML statement(s) as zip. See <a
            href ="#tag/Media/operation/getDownloadToken">Download media</a> for
            more information.
          example: ad8f7a6d-1b0b-4e1a-8e1a-0b1b0b1b0b1b
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````